extends Node

enum {
	up = 0,
	down = 1,
	left = 2,
	right = 3	
}

enum areas {
	NONE,
	MAIN,
	LAB,
	FACTORY,
	PUMP,
	POWER,
	DESERT,
	CITY,
	TOWER,
	FINAL,
	DEEPLAB,
	MINES,
	PACKAGE
}

var enterdir = down
var enterx = 0
var entery = 0


func _ready():
	OS.set_window_maximized(true)
	
func _input(event):
	if Input.is_action_just_pressed("fullscreen"):
		OS.set_window_fullscreen(!OS.window_fullscreen)

func entry_config(dir,x,y):
	enterdir = dir
	enterx = x
	entery = y
